package body MSHTML.IHTMLStyle5_Object is

   procedure Put_msInterpolationMode
     (This : IHTMLStyle5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle5_Put_msInterpolationMode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_msInterpolationMode;

   function Get_msInterpolationMode
     (This : IHTMLStyle5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle5_Get_msInterpolationMode);
   end Get_msInterpolationMode;

   procedure Put_maxHeight
     (This : IHTMLStyle5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle5_Put_maxHeight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_maxHeight;

   function Get_maxHeight
     (This : IHTMLStyle5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle5_Get_maxHeight);
   end Get_maxHeight;

   procedure Put_minWidth
     (This : IHTMLStyle5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle5_Put_minWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_minWidth;

   function Get_minWidth
     (This : IHTMLStyle5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle5_Get_minWidth);
   end Get_minWidth;

   procedure Put_maxWidth
     (This : IHTMLStyle5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle5_Put_maxWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_maxWidth;

   function Get_maxWidth
     (This : IHTMLStyle5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle5_Get_maxWidth);
   end Get_maxWidth;

end MSHTML.IHTMLStyle5_Object;

